## Function `distanceQuantilesEdsd( plxMas, plxErrorMas, lPc, qpoints, ... )`

Description:
  Calculates arbitrary quantiles for the distance estimate using the Exponentially Decreasing Space Density prior.

  Note this function has to numerically integrate the PDF to determine quantile values, so it is relatively slow.

Parameters:
  `plxMas` (floating point)
    parallax in mas
  `plxErrorMas` (floating point)
    parallax error in mas
  `lPc` (floating point)
    length scale in parsec
  `qpoints` (floating point, one or more)
    one or more required quantile cut points, each in the range 0..1

Return Value (array of floating point):
  array with one element for each of the supplied `qpoints` giving the corresponding distance in parsec

Examples:
  - `distanceQuantilesEdsd(parallax, parallax_error, 1350, 0.5)[0]` calculates the median of the EDSD distance PDF using a length scale of 1.35kpc
  - `distanceQuantilesEdsd(parallax, parallax_error, 3000, 0.01, 0.99)` returns a 2-element array giving the 1st and 99th percentile of the distance estimate using a length scale of 3kpc

Signature:
  `double[] distanceQuantilesEdsd(double, double, double, double...)`